#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,160,200,240,320,640,1280,2560
 * N : 25,80,160,200,240,320,640,1280,2560
 * NB : 4,8,8,8,16,40,40,56,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 4; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 280) (nb_) = 16; \
   else if ((n_) < 960) (nb_) = 40; \
   else if ((n_) < 1920) (nb_) = 56; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
